# A script to compute the day of the week.
# Adapted from 2018 program by duane a. bailey



############## Helper Functions Begin ################

# Do not worry about how these are  implemented yet!

def monthAdjust(month, year):
    '''Function that takes in month in 1-12 and year in 1990-2099 and returns monthly adjustment'''
    # this is a *list* containing 12 integers.
    adjustments = [1,4,4,0,2,5,0,3,6,1,4,6] 
    # the integers in the adjustment list are indexed 0 through 11
    madj = adjustments[month-1]
    # madj is the adjustment based on the particular month
    if (year%4 == 0) and (month <= 2):  # we will learn if statements in next lecture
        madj -= 1  # shorter way of writing madj = madj - 1
    return madj


def dayName(dayNum):
    '''Takes day of the week as a number 0-6 and returns day of 
    the week as a string, where Saturday is 0, Sunday is 1, etc.'''
    # a *list of strings*, indexed between 0 and 6 (remainders, mod 7)
    dayName = ["Saturday", "Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday"]
    return dayName[dayNum]



############## Helper Functions End ################


def dayOfWeek(month, day, year):
    '''This function takes a date as month 1-12, day 1-31, and year (1900-2099)
    as input and returns the day of the week for that date'''
    # it’s best to think of the year as a value between 0 and 200
    year -= 1900  # another way of writing year = year - 1990
    # calling helper function to get monthly adjustment
    madj = monthAdjust(month, year) 
    # this is the main calculation:
    sum = madj + day + (year//4) + year
    return(dayName(sum%7)) 


#  function for gathering user input and calling the dayOfweek function
def main():
    month = int(input("Month (1-12): "))
    day = int(input("Day (1-31): "))
    year = int(input("Year (1900-2099): "))
    # invoke the dayOfWeek function and save return value in a dow variable
    dow = dayOfWeek(month, day, year)
    print('Day of the week for the date ', month, '/', day, '/', year, ' is ', dow, sep = '')
    
# This function call runs the code in main()
# main()      
